Skip to main content
GET
Get task

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

task_id
string
required

Task identifier

Query Parameters

source_target_kind
enum<string>

Source to read: project, main_branch, environment or preview_branch. Overrides runtime_target_kind.

Available options:
project,
main_branch,
environment,
preview_branch
runtime_target_kind
enum<string> | null

Runtime target to read from: main_branch, environment or preview_branch.

Available options:
main_branch,
environment,
preview_branch,
null
target_environment_id
string<uuid> | null

Environment to read from when the target kind is environment.

target_branch_id
string<uuid> | null

Preview branch to use when the target kind is preview_branch.

Response

Discovered project task

Task definition.

id
string
required

Task identifier.

name
string
required

Human-readable task name.

description
string | null
required

Short description of what the task does.

target
string
required

Execution target that implements the task.

source_path
string
required

Source file path where the task definition lives.

edit_mode
enum<string>
required

Editing mode supported for the task definition; source_only definitions reject update_task with source_only_conflict.

Available options:
structured,
source_only
input_schema
object | null
required

Structured input schema for task execution, when defined.

output_schema
object | null
required

Structured output schema for task execution, when defined.

schedulable
boolean
required

Whether the task can be used from cron schedules or workflow schedulers.